Subject: Bug in od, cat, etc reading binary files
From: [email-masked] (Joe Peterson)

8 Sep 1997 19:59:13 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.02 [en] (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Sorry if this is documented somewhere, but I could not find mention of
it.  I find that when, for example, using "od" to look at a binary file,
if a ctrl-Z is encountered, the reading stops.  This is because the
fopen presumably does a "r" rather than a "rb" (a pc-ism).

Other programs like "cat" and possibly others have this problem as
well...

				Joe
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".